Bug 1618807 - [RFE] Restore VM ownership and retirement during migration
Summary: [RFE] Restore VM ownership and retirement during migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.9.5
Assignee: Fabien Dupont
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On: 1615141
Blocks: 1619668
TreeView+ depends on / blocked
 
Reported: 2018-08-17 16:16 UTC by Satoe Imaishi
Modified: 2018-11-05 13:58 UTC (History)
8 users (show)

Fixed In Version: 5.9.5.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1615141
Environment:
Last Closed: 2018-11-05 13:58:28 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:58:57 UTC

Comment 2 CFME Bot 2018-09-19 15:08:47 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/d104748ae4e546a90d5197ecda8af9b16b10e6af
commit d104748ae4e546a90d5197ecda8af9b16b10e6af
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Aug 13 17:43:58 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Aug 13 17:43:58 2018 -0400

    Merge pull request #397 from fdupont-redhat/v2v_preserve_ownership_and_retirement_date

    Restore VM ownership and retirement when migrating
    (cherry picked from commit 836d63c89816fa8d1cf57c3ea6974e46f7a34c2a)

    https://bugzilla.redhat.com/show_bug.cgi?id=1618807

 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/restorevmattributes.rb | 16 +-
 spec/content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/restorevmattributes_spec.rb | 30 +-
 2 files changed, 44 insertions(+), 2 deletions(-)

Comment 4 Kedar Kulkarni 2018-10-08 20:02:38 UTC
For CFME 5.9.5.0 build, I migrated VMs with Scheduled retirement and ownership tags set, and they were preserved during migration.

Comment 6 errata-xmlrpc 2018-11-05 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.